# Type alias Definition<C, N>

Definition<C, N>: Meta.Id.Definition<C, N> & {
names: {
[S in CollectionNameStyle]: CollectionNameStyledAs<S, C, N>
};
resolvers?: IResolvers<any, Context<C>>;
typeDefs: graphql.DocumentNode;
} & (N extends Meta.MutableCollectionName<C>
? {
mutable: true;
}
: {
mutable?: false;
})

#### Type Parameters

- #### C extends Meta.Collections

- #### N extends Meta.CollectionName<C>

#### Type declaration

- ##### names: {
  [S in CollectionNameStyle]: CollectionNameStyledAs<S, C, N>
  }

- ##### `Optional` resolvers?: IResolvers<any, Context<C>>

- ##### typeDefs: graphql.DocumentNode

- Defined in packages/db/src/meta/graph/types.ts:27

Generated using TypeDoc